using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_VerifyUsers : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Ajax.Utility.RegisterTypeForAjax(this.GetType());
        this.ClientScript.RegisterClientScriptInclude("ggg", "js/JSUser.js");
        this.userList.DataSource = new EUser().GetList();
        this.userList.DataBind();
        this.userList.EnableViewState = false;
    }
    [Ajax.AjaxMethod]
    public int SetVerify(string userName)
    {
        EUser user = new EUser();
        return user.SetVerified(userName);
    }

    [Ajax.AjaxMethod]
    public int SetNoVerify(string userName)
    {
        EUser user = new EUser();
        return user.SetNoVerified(userName);
    }

    [Ajax.AjaxMethod]
    public int DelUser(string userName)
    {
        EUser user = new EUser();
        return user.DelUser(userName);
    }
}
